#ifndef _LINUX_FIRMWARE_H
#define _LINUX_FIRMWARE_H
#include <linux/module.h>
#include <linux/types.h>
#define FIRMWARE_NAME_MAX 30 
struct firmware {
	size_t size;
	u8 *data;
	/* the rest is private */
	char name[FIRMWARE_NAME_MAX];
	/* needed for fwfs */
	atomic_t use_count;
	struct dentry *dentry;
	time_t ctime;
};
int request_firmware (const struct firmware **fw, const char *name,
		      const char *device);
/* For 2.5 'device' should be 'struct device *' */

void release_firmware (const struct firmware *fw);
void register_firmware (const char *name, const u8 *data, size_t size);
#endif
